from nmigen_boards.versa_ecp5 import VersaECP5Platform
from nmigen.build import TemplatedPlatform


# override Versa platform behaviour to output nothing but the ilang.
# this can then be used 
class IcarusVersaPlatform(VersaECP5Platform):
    @property
    def required_tools(self):
        return ["yosys"]

    @property
    def file_templates(self):
        return {
            **TemplatedPlatform.build_script_templates,
            "{{name}}.il": r"""
            # {{autogenerated}}
            {{emit_rtlil()}}
            """,
        }

    @property
    def command_templates(self):
        return []
